GIT-QDELETE(1)

NAME
git-qdelete - remove patches from a Git-MQ series

SYNOPSIS
git qdelete [-k | --keep] <patch> ...
git qremove [-k | --keep] <patch> ...
git qrm [-k | --keep] <patch> ...

DESCRIPTION
The git qdelete command removes patch references from the Git-MQ patch series, without recording their contents in project history; by default, the associated patch files are also deleted from the Git-MQ patch directory.

The git qremove and git qrm forms are simple aliases for git qdelete; all three behave identically.

Patches which are to be removed must be individually specified, by name. If the --keep option is specified, patch series references are deleted, and no associated project history is recorded, but the patch files themselves are retained; such patches may subsequently by identified by the git qseries --missing command.

Patches which have been applied cannot be removed by git qdelete; to remove applied patches, and move their content into project history, use the git qfinish command.

OPTIONS

-k, --keep
    Remove the specified patches from the series, but do not delete the associated patch files.

EXIT STATUS
On successful completion, git qdelete reports an exit status code of 0. Any non-zero exit status code indicates that an error occurred.

COMPARISON WITH MERCURIAL QUEUES
Inspired by, and for the most part based on behavioural observation of Mercurial's MQ extension, the git qdelete command exhibits fundamentally the same behaviour as its hg qdelete counterpart.

AUTHOR
Copyright (C) 2019, 2022, by Keith Marshall

This man page was written by Keith Marshall <keith@users.osdn.me>, to accompany the Git-MQ program suite. It is published under the terms of the GNU Free Documentation Licence, version 1.3, (or any later version published by the Free Software Foundation), with no Invariant Sections, no Front-Cover Texts, and no Back-Cover Texts.

The Git-MQ program suite itself is distibruted under the terms of the GNU General Public Licence, version 3, (or any later version published by the Free Software Foundation).

Copies of the GNU Free Documentation Licence, and of the GNU General Public Licence, are included within the Git-MQ source distribution, in the files FDL-1.3, and LICENCE, respectively.

SEE ALSO
git-qapplied(1), git-qfinish(1), git-qseries(1), git-qunapplied(1)